> For the complete documentation index, see [llms.txt](https://growingio.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://growingio.gitbook.io/docs/developer-manual/api-reference/originaldata-export-v1/definition/uploaddata.md).

# 获取原始数据下载链接

### URL

<https://www.growingio.com/insights/{ai}/{date}.json>

### 请求类型

GET

### 请求头参数

公共头部请参考[公共请求头参数](/docs/developer-manual/api-reference/authenticate.md)。

### 参数说明与示例

{% tabs %}
{% tab title="请求参数" %}

| 路径参数 | 类型     | 是否必传 | 说明                                                        |
| ---- | ------ | ---- | --------------------------------------------------------- |
| ai   | string | 是    | 项目ID                                                      |
| date | string | 是    | <p>数据日期</p><p>天级别示例：20160520</p><p>小时级别示例：20160502008</p> |

| 查询参数   | 类型      | 是否必传 | 说明                              |
| ------ | ------- | ---- | ------------------------------- |
| expire | integer | 否    | <p>过期时间，以分为单位</p><p>默认值：  5</p> |

{% endtab %}

{% tab title="返回示例" %}

```
{
  "status": "FINISHED",
  "downlinks": [
    "link1",
    "link2"
  ]
}
```

响应中的 status 字段，状态值有： 1. FINISHED 任务完成； 2. RUNNING 任务正在跑； 3. NOT\_EXISTS 任务不存在，可能是任务还没跑或者请求日期格式不对。

使用下载链接时，可以先检查 status 字段，为 FINISHED 时才拿 downlinks 进行下载。
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://growingio.gitbook.io/docs/developer-manual/api-reference/originaldata-export-v1/definition/uploaddata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
